package fr.inra.pappso.xtandempipeline.class_msms;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;

public class MatchList extends HashMap<String, Match> {

	private static final long serialVersionUID = -977748296883637565L;
	private ArrayList<Match> listes;

	public MatchList() {
		super();
		this.listes = new ArrayList<Match>();
	}

	public ArrayList<Match> getMatchOrder() {
		Collections.sort(listes);
		return (listes);
	}
	
	public Match put(String acc, Match m){
		this.listes.add(m);	
		return(super.put(acc, m));
	}
	
	public void add_match(Match m) {
		this.put(m.get_protein_match().getAccession(), m);
	}

	public Match get_top_match() {
		Collections.sort(listes);
		return(listes.get(0));
	}

	public ArrayList<Match> getMatchListes() {
		return listes;
	}

}
