package fr.inra.pappso.xtandempipeline.class_msms;

import java.util.Hashtable;

public class fdr_count implements Comparable<fdr_count> {

	private Double eplus;

	private Double emoins;

	private Hashtable<String, String> count;

	public int compareTo(fdr_count p) {
		return (this.eplus.compareTo(p.getEplus()));
	}

	public fdr_count() {
		count = new Hashtable<String, String>();
	}

	public boolean add_count(double evalue, String database) {
		Double logeval = Math.log(evalue) / Math.log(10);
		if ((logeval <= eplus) & (logeval > emoins)) {
			if (count.containsKey(database)) {
				int temp = Integer.parseInt(count.get(database)) + 1;
				count.put(database, "" + temp);
			} else {
				count.put(database, "" + 1);
			}
			return true;
		}
		return false;
	}
	
	public boolean add_count_in_log(double evalue, String database) {
		if ((evalue <= eplus) & (evalue > emoins)) {
			if (count.containsKey(database)) {
				int temp = Integer.parseInt(count.get(database)) + 1;
				count.put(database, "" + temp);
			} else {
				count.put(database, "" + 1);
			}
			return true;
		}
		return false;
	}

	public String get_count_to_database(String data) {
		if (count.containsKey(data))
			return count.get(data);
		else
			return ("" + 0);
	}

	public double getEplus() {
		return eplus;
	}

	public void setEplus(double eplus) {
		this.eplus = eplus;
	}

	public Hashtable<String, String> getCount() {
		return count;
	}

	public void setCount(Hashtable<String, String> count) {
		this.count = count;
	}

	public void setEmoins(double emoins) {
		this.emoins = emoins;
	}

	public double getEmoins() {
		return emoins;
	}

}
