package fr.inra.pappso.xtandempipeline.grouping;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;

public class SubGroupSet extends HashSet<SubGroup> {

	private static final long serialVersionUID = 8898125987281495505L;

	//private static final Logger logger = Logger.getLogger(SubGroupSet.class);

	public SubGroupSet() {
		// logger.debug("SubGroup begin");
	}

	public void addHashSampleScanSetProt(
			HashSampleScanSetProt hashPeptideSetProt) {
		boolean createNewSubGroup = true;
		for (SubGroup sg : this) {
			if (sg.addHashSampleScanSetProt(hashPeptideSetProt) == true) {
				createNewSubGroup = false;
				break;
			}
		}
		if (createNewSubGroup) {
			SubGroup sg = new SubGroup(hashPeptideSetProt);
			this.add(sg);
		}
	}

	public ArrayList<SubGroup> getSubGroupList() {
		ArrayList<SubGroup> orderedSubGroupList = new ArrayList<SubGroup>(this);

		Collections.sort(orderedSubGroupList);
		return orderedSubGroupList;
	}

	public void numbering() {
		ArrayList<SubGroup> orderedSubGroupList = new ArrayList<SubGroup>(this);

		Collections.sort(orderedSubGroupList);
		int i = 1;
		for (SubGroup sg : orderedSubGroupList) {
			sg.setNumber(i);
			i++;
		}
	}
	
	

}
