package fr.inra.pappso.xtandempipeline.grouping.interfaces;

import java.util.Collection;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.grouping.HashPeptide;
import fr.inra.pappso.xtandempipeline.grouping.HashSampleScan;

public interface GrpPeptide {
	String getSequence();

	HashSampleScan getHashSampleScan() throws MSMSException;

	HashPeptide getHashPeptide() throws MSMSException;

	boolean containsPosition(Integer position) throws Exception;

	Collection<GrpPhosphoModif> getGrpPhosphoModifs();

}
