package fr.inra.pappso.xtandempipeline.sax_parse;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.*;
import fr.inra.pappso.xtandempipeline.class_msms.IdentificationDataFile.IdentificationDataSource;

public class HandlerXtResultPhosphoFile extends HandlerXtResultFile {

	public HandlerXtResultPhosphoFile(Identification L,
			IdentificationDataSource S) {
		super(L, S);
	}

	@Override
	public void endElementdomain(String nameSpaceUri, String data)
			throws MSMSException {
		if (peptide == null) {
			String message = "peptide is null";
			logger.error(message);
			throw new MSMSException(message);
		}
		if (this.peptide.getGrpPhosphoModifs().size() > 0) {
			identification_.add_peptide(peptide);
			match_.add_peptide_match(peptide);
			peptide_list.add(peptide);
		}
		// pep_ = new Peptide();
		peptide = null;
	}

}
