package fr.inra.pappso.xtandempipeline.grouping.interfaces;

import java.util.ArrayList;
import java.util.Collection;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.MapDb.Peptide;
import fr.inra.pappso.xtandempipeline.grouping.HashProtein;
import fr.inra.pappso.xtandempipeline.grouping.HashSampleScan;
import fr.inra.pappso.xtandempipeline.grouping.HashSampleScanSetPhospho;

public interface GrpProtMatch {
	GrpProtein getGrpProtein();

	Collection<GrpPeptide> getGrpPeptides() throws MSMSException;

	GrpPeptide getBestPeptideToHashSampleScan(HashSampleScan hash)
			throws MSMSException;

	HashProtein getHashProtein() throws MSMSException;

	Collection<GrpPeptide> getGrpPeptidesSharingHashSampleScan(
			HashSampleScan hash) throws MSMSException;

	public ArrayList<Peptide> getValidPeptideInPhosphoIsland(
			HashSampleScanSetPhospho hashPhospho) throws MSMSException;
}
